Loading...
Searching...
No Matches
Gudhi::persistent_cohomology::Field_Zp Class Reference
Persistent Cohomology

Structure representing the coefficient field \(\mathbb{Z}/p\mathbb{Z}\). More...

`#include <include/gudhi/Persistent_cohomology/Field_Zp.h>`

## Public Member Functions

Element | plus_times_equal (const Element &x, const Element &y, const Element &w)
Element | times (const Element &y, const Element &w)
Element | additive_identity () const
| Returns the additive idendity \(0_{\Bbbk}\) of the field.
Element | multiplicative_identity (Element=0) const
| Returns the multiplicative identity \(1_{\Bbbk}\) of the field.
std::pair< Element, Element > | inverse (Element x, Element P)
Element | times_minus (Element x, Element y)
int | characteristic () const
| Returns the characteristic \(p\) of the field.
Public Member Functions inherited from CoefficientField
| CoefficientField ()
Element | characteristic ()
Element | multiplicative_identity ()
Element | additive_identity ()
void | plus_equal (Element x, Element y)

## Additional Inherited Members

Public Types inherited from CoefficientField
typedef unspecified | Element
| Type of element of the field.

## Detailed Description

Structure representing the coefficient field \(\mathbb{Z}/p\mathbb{Z}\).

Examples
  Random_bitmap_cubical_complex.cpp, alpha_rips_persistence_bottleneck_distance.cpp, cech_persistence.cpp, cubical_complex_persistence.cpp, custom_persistence_sort.cpp, distance_matrix_edge_collapse_rips_persistence.cpp, edge_collapse_conserve_persistence.cpp, example_nearest_landmark_table.cpp, periodic_cubical_complex_persistence.cpp, persistence_from_simple_simplex_tree.cpp, plain_homology.cpp, point_cloud_edge_collapse_rips_persistence.cpp, rips_correlation_matrix_persistence.cpp, rips_distance_matrix_persistence.cpp, rips_persistence.cpp, rips_persistence_step_by_step.cpp, rips_persistence_via_boundary_matrix.cpp, sparse_rips_persistence.cpp, strong_witness_persistence.cpp, and weak_witness_persistence.cpp.

## Member Function Documentation

## inverse()

std::pair< Element, Element > Gudhi::persistent_cohomology::Field_Zp::inverse | ( | Element | x,
|  | Element | P )

inline

Returns the inverse in the field. Modifies P. ???

## plus_times_equal()

Element Gudhi::persistent_cohomology::Field_Zp::plus_times_equal | ( | const Element & | x,
|  | const Element & | y,
|  | const Element & | w )

inline

Set x <- x + w * y

## times()

Element Gudhi::persistent_cohomology::Field_Zp::times | ( | const Element & | y,
|  | const Element & | w )

inline

Returns y * w

## times_minus()

Element Gudhi::persistent_cohomology::Field_Zp::times_minus | ( | Element | x,
|  | Element | y )

inline

Returns -x * y.

The documentation for this class was generated from the following file:

- include/gudhi/Persistent_cohomology/Field_Zp.h